Subject: Re: [GIT PULL] ARM/arm64: arm_pm_restart removal

From: Stefan Agner <[email-masked]>
Date: Mon, 14 Oct 2019 14:18:49 +0200

On 2019-10-03 15:15, Guenter Roeck wrote:
> On 10/2/19 11:46 AM, Olof Johansson wrote:
>> It looks like it's an old patchset that you were cc:d on at the time,
>> but I can't blame anyone for missing context here.
>>
>> Thierry, a reference to the thread would have been useful:
>> https://lore.kernel.org/linux-arm-kernel/[email-masked]/
>>
>> Given that the code is 2.5 years old, posting it again for awareness
>> seems appropriate, even if it was acked by a few stakeholders
>> originally.
>>
> 
> Thierry,
> 
> would you mind doing that ?
> 
> To give some background: I had completely forgotten about this, until I recently
> hit a problem with restart that was difficult to debug since it was
> hard to figure
> out which reset sequence was actually executed. I thought about re-posting the
> series, but then we (ie those who cared enough to be involved in above
> referenced
> exchange) decided to use this approach. Now I still wonder what it will take
> to get the series applied.
> 
> At least posting the series as pull request did generate some attention.
> I count that as an improvement.

By chance I just sent a patch which moves to restart handler for PSCI
this weekend [1]. So this patch set is very much appreciated.

--
Stefan

[1]
https://lore.kernel.org/linux-arm-kernel/[email-masked]/T/#u

> 
> Guenter
> 
>>
>> -Olof
>>
>> On Wed, Oct 2, 2019 at 9:01 AM Russell King - ARM Linux admin
>> <[email-masked]> wrote:
>>>
>>> Why was I not copied on these changes (which clearly touch core ARM
>>> code) both the patch series and this pull request?
>>>
>>> On Wed, Oct 02, 2019 at 03:12:28PM +0200, Thierry Reding wrote:
>>>> Hi ARM SoC maintainers,
>>>>
>>>> The following changes since commit 54ecb8f7028c5eb3d740bb82b0f1d90f2df63c5c:
>>>>
>>>>    Linux 5.4-rc1 (2019-09-30 10:35:40 -0700)
>>>>
>>>> are available in the Git repository at:
>>>>
>>>>    https://github.com/thierryreding/linux.git tags/for-5.5/arm-pm-restart-removal
>>>>
>>>> for you to fetch changes up to 81b3f28283e2f0b03cea2127e9ff78e7c505b3d3:
>>>>
>>>>    ARM: Remove arm_pm_restart() (2019-10-02 14:56:22 +0200)
>>>>
>>>> This is the set of changes that we recently discussed that remove all
>>>> uses of the arm_pm_restart symbol and replaces it by usages of the new
>>>> restart handler that Guenter had introduced.
>>>>
>>>> I've rebased these on top of v5.4-rc1.
>>>>
>>>> Thierry
>>>>
>>>> ----------------------------------------------------------------
>>>> ARM/arm64: arm_pm_restart removal
>>>>
>>>> This set of patches converts all remaining users of the arm_pm_restart
>>>> mechanism for installing reboot hooks to the restart handler mechanism
>>>> and finally removes the arm_pm_restart symbol.
>>>>
>>>> ----------------------------------------------------------------
>>>> Guenter Roeck (6):
>>>>        ARM: prima2: Register with kernel restart handler
>>>>        ARM: xen: Register with kernel restart handler
>>>>        drivers: firmware: psci: Register with kernel restart handler
>>>>        ARM: Register with kernel restart handler
>>>>        ARM64: Remove arm_pm_restart()
>>>>        ARM: Remove arm_pm_restart()
>>>>
>>>>   arch/arm/include/asm/system_misc.h   |  1 -
>>>>   arch/arm/kernel/reboot.c             |  6 +-----
>>>>   arch/arm/kernel/setup.c              | 20 ++++++++++++++++++--
>>>>   arch/arm/mach-prima2/rstc.c          | 11 +++++++++--
>>>>   arch/arm/xen/enlighten.c             | 12 ++++++++++--
>>>>   arch/arm64/include/asm/system_misc.h |  2 --
>>>>   arch/arm64/kernel/process.c          |  7 +------
>>>>   drivers/firmware/psci/psci.c         | 12 ++++++++++--
>>>>   8 files changed, 49 insertions(+), 22 deletions(-)
>>>>
>>>
>>> --
>>> RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
>>> FTTC broadband for 0.8mile line in suburbia: sync at 12.1Mbps down 622kbps up
>>> According to speedtest.net: 11.9Mbps down 500kbps up
>>
> 
> 
> _______________________________________________
> linux-arm-kernel mailing list
> [email-masked]
> http://lists.infradead.org/mailman/listinfo/linux-arm-kernel

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel